#define DOCTEST_CONFIG_NO_MULTITHREADING
#define DOCTEST_CONFIG_IMPLEMENT_WITH_MAIN
#include "doctest.h"
#include "histogram_internal.h"
#include "block_with.h"
#include <vector>

TEST_CASE("only one vector in numbers") {
    double min = 0;
    double max = 0;
    find_minmax({1}, min, max);
    CHECK(min == 1);
    CHECK(max == 1);
}

TEST_CASE("distinct negative numbers") {
    double min = 0;
    double max = 0;
    find_minmax({-1,-100,-30,-40}, min, max);
    CHECK(min == -100);
    CHECK(max == -1);
}

TEST_CASE("vector of indentical elements") {
    double min = 0;
    double max = 0;
    find_minmax({5,5,5,5}, min, max);
    CHECK(min == 5);
    CHECK(max == 5);
}

TEST_CASE("BLOCK_WIDTH CHECK") {
    double BLOCK_WIDTH = 20;
    CHECK(input_block_with(BLOCK_WIDTH));
}
